# Class SnpSiftBaseListener

java.lang.Object
org.snpsift.antlr.SnpSiftBaseListener

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener, SnpSiftListener`

public class SnpSiftBaseListener extends Object implements SnpSiftListener
This class provides an empty implementation of `SnpSiftListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftBaseListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`enterCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)`
Enter a parse tree produced by `SnpSiftParser.compilationUnit()`.
`void`
`enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void`
`enterExpressionComp(SnpSiftParser.ExpressionCompContext ctx)`
Enter a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionCond(SnpSiftParser.ExpressionCondContext ctx)`
Enter a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)`
Enter a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)`
Enter a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionParen(SnpSiftParser.ExpressionParenContext ctx)`
Enter a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)`
Enter a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionSet(SnpSiftParser.ExpressionSetContext ctx)`
Enter a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)`
Enter a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)`
Enter a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterFunctionCall(SnpSiftParser.FunctionCallContext ctx)`
Enter a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralBool(SnpSiftParser.LiteralBoolContext ctx)`
Enter a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)`
Enter a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)`
Enter a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralInt(SnpSiftParser.LiteralIntContext ctx)`
Enter a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterLiteralString(SnpSiftParser.LiteralStringContext ctx)`
Enter a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReference(SnpSiftParser.VarReferenceContext ctx)`
Enter a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)`
Enter a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.
`void`
`enterVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)`
Enter a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)`
Exit a parse tree produced by `SnpSiftParser.compilationUnit()`.
`void`
`exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void`
`exitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)`
Exit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)`
Exit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)`
Exit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)`
Exit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)`
Exit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)`
Exit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)`
Exit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)`
Exit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)`
Exit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitFunctionCall(SnpSiftParser.FunctionCallContext ctx)`
Exit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)`
Exit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)`
Exit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)`
Exit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralInt(SnpSiftParser.LiteralIntContext ctx)`
Exit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitLiteralString(SnpSiftParser.LiteralStringContext ctx)`
Exit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReference(SnpSiftParser.VarReferenceContext ctx)`
Exit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)`
Exit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.
`void`
`exitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)`
Exit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.
`void`
`visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)`
`void`
`visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpSiftBaseListener

public SnpSiftBaseListener()

## Method Details

### enterCompilationUnit

public void enterCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)
Enter a parse tree produced by `SnpSiftParser.compilationUnit()`.

The default implementation does nothing.

Specified by:
  `enterCompilationUnit` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitCompilationUnit

public void exitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)
Exit a parse tree produced by `SnpSiftParser.compilationUnit()`.

The default implementation does nothing.

Specified by:
  `exitCompilationUnit` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionSet

public void enterExpressionSet(SnpSiftParser.ExpressionSetContext ctx)
Enter a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionSet` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionSet

public void exitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)
Exit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionSet` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterLiteralString

public void enterLiteralString(SnpSiftParser.LiteralStringContext ctx)
Enter a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterLiteralString` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitLiteralString

public void exitLiteralString(SnpSiftParser.LiteralStringContext ctx)
Exit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitLiteralString` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionUnary

public void enterExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)
Enter a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionUnary` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionUnary

public void exitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)
Exit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionUnary` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionComp

public void enterExpressionComp(SnpSiftParser.ExpressionCompContext ctx)
Enter a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionComp` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionComp

public void exitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)
Exit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionComp` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterLiteralBool

public void enterLiteralBool(SnpSiftParser.LiteralBoolContext ctx)
Enter a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterLiteralBool` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitLiteralBool

public void exitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)
Exit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitLiteralBool` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterVarReferenceList

public void enterVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)
Enter a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterVarReferenceList` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitVarReferenceList

public void exitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)
Exit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitVarReferenceList` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterLiteralFloat

public void enterLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)
Enter a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterLiteralFloat` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitLiteralFloat

public void exitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)
Exit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitLiteralFloat` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterLiteralIndex

public void enterLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)
Enter a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterLiteralIndex` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitLiteralIndex

public void exitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)
Exit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitLiteralIndex` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterVarReference

public void enterVarReference(SnpSiftParser.VarReferenceContext ctx)
Enter a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterVarReference` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitVarReference

public void exitVarReference(SnpSiftParser.VarReferenceContext ctx)
Exit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitVarReference` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterVarReferenceListSub

public void enterVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)
Enter a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterVarReferenceListSub` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitVarReferenceListSub

public void exitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)
Exit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitVarReferenceListSub` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionTimes

public void enterExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)
Enter a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionTimes` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionTimes

public void exitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)
Exit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionTimes` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionExists

public void enterExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)
Enter a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionExists` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionExists

public void exitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)
Exit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionExists` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionPlus

public void enterExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)
Enter a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionPlus` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionPlus

public void exitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)
Exit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionPlus` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionLogic

public void enterExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)
Enter a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionLogic` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionLogic

public void exitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)
Exit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionLogic` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterFunctionCall

public void enterFunctionCall(SnpSiftParser.FunctionCallContext ctx)
Enter a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterFunctionCall` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitFunctionCall

public void exitFunctionCall(SnpSiftParser.FunctionCallContext ctx)
Exit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitFunctionCall` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionParen

public void enterExpressionParen(SnpSiftParser.ExpressionParenContext ctx)
Enter a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionParen` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionParen

public void exitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)
Exit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionParen` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterExpressionCond

public void enterExpressionCond(SnpSiftParser.ExpressionCondContext ctx)
Enter a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterExpressionCond` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitExpressionCond

public void exitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)
Exit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitExpressionCond` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterLiteralInt

public void enterLiteralInt(SnpSiftParser.LiteralIntContext ctx)
Enter a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `enterLiteralInt` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### exitLiteralInt

public void exitLiteralInt(SnpSiftParser.LiteralIntContext ctx)
Exit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.

The default implementation does nothing.

Specified by:
  `exitLiteralInt` in interface `SnpSiftListener`
Parameters:
  `ctx` - the parse tree

### enterEveryRule

public void enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### exitEveryRule

public void exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### visitTerminal

public void visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)

The default implementation does nothing.

Specified by:
  `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

### visitErrorNode

public void visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)

The default implementation does nothing.

Specified by:
  `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`